<div class="container mt-4">
  <div class="search">
    <input
      type="text"
      class="search__input"
      placeholder="Enter city name ..."
      (keypress)="onEnter($event)"
      #cityName
    />
    <div class="search__icon" (click)="onSearchCity()">
      <img src="../../assets/icons/icons8-search (1).svg" alt="search_icon" />
    </div>
  </div>
  <div class="lds-ring" *ngIf="isLoading">
    <div></div>
    <div></div>
    <div></div>
  </div>
  <p class="error-message" *ngIf="!isLoading">{{ error }}</p>
  <app-weather-card
    [weather]="weather"
    [addMode]="true"
    (addWeather)="onAddCity($event)"
    *ngIf="weather && cityName.value && !isLoading"
  ></app-weather-card>
</div>
